%define name xtables-addons
%define version 2.14
%define release 01
Summary: xtables-addons is a set of additional extensions for the Xtables packet filter.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
Group: SME Server/addon
Source: %{name}-%{version}.tar.xz
URL: http://xtables-addons.sourceforge.net
Patch0: xtables-addons-2.14-init.patch

Packager: Michel Begue <mab974@gmail.com>
BuildRoot: %RPM_BUILD_ROOT
BuildRequires: iptables-devel
Requires: smeserver-release >= 10.0
Requires: xtables-addons-kmod >= 2.14
Requires: perl-Text-CSV_XS >= 1.00
Requires: perl-IO-Socket-INET6 >= 2.69
Requires: perl-Socket >= 2.010
Requires: perl-Net-CIDR-Lite >= 0.21
AutoReqProv: no
Provides: %{name}-kmod-common = %{version}

%description
%{name}  is a set of additional extensions for the Xtables packet filter that is present in the Linux kernel.

%changelog
* Mon Jun 22 2020 Michel Begue <mab974@gmail.com> 2.14-01.sme
- initial release 2.14 for sme10
- comment out build_TARPIT (Centos 7 compatibility pbm)
- set XT_GEOIP_MAX from 15 to 50
- comment out "print STDERR" counters in xt_geoip-build
- add license_key in download script of bases
- changes for using GeoIP2 databases (download and build (-g2) + fetch)
- dependency : perl-IO-Socket-INET6 (bug sa-update)

%prep

%setup
%patch0 -p1

./configure --prefix=/usr --without-kbuild

%build
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}" 
%{__rm} -rf %{buildroot}/lib/modules/

%clean
%{__rm} -rf %{buildroot}

%pre

%post

%preun

%postun

%files
%defattr(-, root, root, 0755)
/usr/lib/libxt_ACCOUNT_cl.*
/usr/%{_lib}/xtables/libxt_*.so
/usr/libexec/xtables-addons/xt_geoip_*
/usr/sbin/iptaccount
/usr/share/man/man1/*.1.gz
/usr/share/man/man8/*.8.gz
